Update a disconnected character's details
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
const url = 'https://example.com/admin/characters/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"item_changes":[{"action":"grant","index":1,"locate":1,"source":"inventory","vnum":1}],"revision":"example","values":{"additionalProperty":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/admin/characters/example \ --header 'Content-Type: application/json' \ --data '{ "item_changes": [ { "action": "grant", "index": 1, "locate": 1, "source": "inventory", "vnum": 1 } ], "revision": "example", "values": { "additionalProperty": 1 } }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Ordered item edits, committed with the numeric fields in one transaction
object
Changed numeric fields from the field catalog
object
Responses
Section titled “Responses”OK
object
object
object
object
object
object
object
Example generated
{ "equipment": [ { "container": true, "count": 1, "index": 1, "locate": 1, "name": "example", "no_rent": true, "parent": 1, "vnum": 1 } ], "fields": [ { "group": "example", "key": "example", "label": "example", "max": 1, "min": 1 } ], "flags": [ { "description": "example", "editable": true, "enabled": true, "key": "example", "label": "example", "min_level": 1 } ], "inventory": [ { "container": true, "count": 1, "index": 1, "locate": 1, "name": "example", "no_rent": true, "parent": 1, "vnum": 1 } ], "last_saved_at": "2026-04-15T12:00:00Z", "name": "example", "revision": "example", "slots": [ { "locate": 1, "name": "example" } ], "values": { "additionalProperty": 1 }}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}